import { Suspense } from 'react';
import { Switch, Route } from 'react-router-dom';

import { ROUTES } from '../index';

const App = () => {
  return (
    <Switch>
      <Suspense fallback={<div>Loading...</div>}>
      {ROUTES.map((el) => (
        <Route
          key={el.id}
          exact={el.exact}
          path={el.path}
          // component={el.component}
          render={(props) => <el.component {...props} /> }
        />
      ))}
      </Suspense>
    </Switch>
  )
}

export default App;