import * as types from './types';

export const fakeCall = async () => {
  const json = await fetch('https://first-fly.firebaseio.com/language.json');

  const result = await json.json();
  return result;
}

export const requestFilms = async (v) => {
  const r = await fetch(`https://api.tvmaze.com/search/shows?q=${v}`)
  const result = await r.json()

  return result;
}

export const requestFilmsV2 = (v) => new Promise((res) => setTimeout(async() => {
  const data = requestFilms(v);
  res(data)
}, 3000))

export const getFakeData = (payload) => ({
  type: types.GET_FAKE_DATA,
  payload
})

export const getFakeDataSuccess = (payload) => ({
  type: types.GET_FAKE_DATA_SUCCESS,
  payload
})

export const getFakeDataFail = (payload) => ({
  type: types.GET_FAKE_DATA_FAIL,
  payload
})

export const fetchFakeData = (payload) => async (dispatch) => {
  dispatch(getFakeData())
  try {
    const data = await fakeCall();

    dispatch(getFakeDataSuccess(data))
  } catch (error) {
    dispatch(getFakeDataFail())
  }
}

export const fetchFilms = ({ value }) => async (dispatch) => {
  dispatch(getFakeData())
  try {
    const data = await requestFilms(value);

    dispatch(getFakeDataSuccess(data))
  } catch (error) {
    dispatch(getFakeDataFail())
  }
}


export const updateValue = (payload) => ({
  type: types.UPDATE_VALUE,
  payload
})