import { call, put, takeLatest, all, debounce, select } from 'redux-saga/effects';

import * as types from './types';
import * as actions from './actions'

function* getFilms({ payload }) {
  try {
    const [data] = yield all([
      call(actions.requestFilmsV2, payload.value),
      call(actions.fakeCall, payload.value),
    ])

    yield put(actions.getFakeDataSuccess(data));
  } catch (error) {
    yield put(actions.getFakeDataFail());
  }
}

function* getFilmsV2() {
  const value = yield select(s => s.fake.value);
  try {
    const data = yield call(actions.requestFilms, value)

    yield put(actions.getFakeDataSuccess(data));
  } catch (error) {
    yield put(actions.getFakeDataFail());
  }
}

export default function* films() {
  // yield takeEvery(types.GET_FAKE_DATA, getFilms);
  yield takeLatest(types.GET_FAKE_DATA, getFilms);
  yield debounce(null, types.UPDATE_VALUE, getFilmsV2);
}